Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86175 - Kickstart file's --card option seems to be ignored
Summary: Kickstart file's --card option seems to be ignored
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-15 22:16 UTC by Kile Reeves
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-24 17:58:40 UTC


Attachments (Terms of Use)
This is the one that was generated from my kickstart file (deleted)
2003-03-15 22:19 UTC, Kile Reeves
no flags Details
This is the one that was generated without my kickstart file (deleted)
2003-03-15 22:21 UTC, Kile Reeves
no flags Details

Description Kile Reeves 2003-03-15 22:16:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
I specify the --card option on the xconfig line:

   xconfig --card "VESA driver (generic)"

The value I used seems to be ignored in favor of the one that it probes and 
finds.  When I tried installing without a kickstart file, and just answered 
the questions (in text mode), the resulting anaconda-ks.cfg file uses 
the "VESA driver (generic)" string, but when I used the kickstart file, the 
anaconda-ks.cfg file has the probed card's string.

    It seems like the kickstart file's value for the --card option is being 
ignored.  I've found this in both 8.0 and 7.3.  I'll attach the two anaconda-
ks.cfg files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.do an install using a kickstart file that specifies the --card option
2.make the card specified be different from the one that gets probed
3.
    

Additional info:

Comment 1 Kile Reeves 2003-03-15 22:19:46 UTC
Created attachment 90611 [details]
This is the one that was generated from my kickstart file

Comment 2 Kile Reeves 2003-03-15 22:21:15 UTC
Created attachment 90612 [details]
This is the one that was generated without my kickstart file

Comment 3 Jeremy Katz 2003-08-18 17:54:27 UTC
This should be fixed with the changes I just made.

Comment 4 Jeremy Katz 2006-04-24 17:58:40 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.